Bug 248470

Summary: [REVIVE] sysutils/autojump: Update to 22.5.3, Remove BROKEN
Product: Ports & Packages Reporter: Michel Boaventura <michel>
Component: Individual Port(s)Assignee: Li-Wen Hsu <lwhsu>
Status: Closed FIXED    
Severity: Affects Only Me CC: lwhsu, michel
Priority: --- Keywords: needs-patch, needs-qa
Version: LatestFlags: koobs: maintainer-feedback? (michel)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
shar file
none
Unified diff none

Description Michel Boaventura 2020-08-04 17:39:27 UTC
Created attachment 217007 [details]
shar file

Port's autojump version is very old and doesn't work with python2, so I'm updating it. Since it seems to be abandoned I'm also adopting it.
Comment 1 Li-Wen Hsu freebsd_committer 2020-08-05 02:51:35 UTC
The MAINTAINER field is michel@boaventura.dev which doesn't match your bugzilla account. Can you use that account to comment to verify that email?  Thanks.
Comment 2 Michel Boaventura 2020-08-05 03:01:18 UTC
I've updated my email address to michel@boaventura.dev. Sorry about that.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-05 14:00:34 UTC
@Michel Are you able to provide the update as a unified diff against the last known revision? Details are here:

https://www.freebsd.org/doc/en_US.ISO8859-1/articles/committers-guide/ports.html#ports-qa-re-adding

Review items:

 - Use PORTVERSION=22.5.3 DISTVERSIONPREFIX=release-v

Since this installs scripts into locations that aren't Python version-specific (eg: /usr/local/bin), you'll want to use USE_PYTHON=concurrent to automatically suffix these files with the Python version its being built for, so these dont conflict for multiple concurrent installations.

See also: https://wiki.freebsd.org/Python/PortsPolicy#concurrent
Comment 4 Michel Boaventura 2020-08-05 17:20:45 UTC
Created attachment 217031 [details]
Unified diff
Comment 5 Michel Boaventura 2020-08-05 17:21:40 UTC
@Kubilay I've applied your suggestions, thank you. I've also submitted an unified diff.
Comment 6 Michel Boaventura 2020-08-10 13:07:14 UTC
@Kubilay and @Li-Wen do I need to do anything else? Since this is my first freebsd bug report I'm a little lost.
Comment 7 commit-hook freebsd_committer 2020-08-11 07:51:15 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Aug 11 07:50:23 UTC 2020
New revision: 544671
URL: https://svnweb.freebsd.org/changeset/ports/544671

Log:
  Readd sysutils/autojump, faster way to navigate your filesystem

  PR:		248470
  Submitted by:	Michel Boaventura <michel@boaventura.dev>

Changes:
  head/MOVED
  head/sysutils/Makefile
  head/sysutils/autojump/
  head/sysutils/autojump/Makefile
  head/sysutils/autojump/distinfo
  head/sysutils/autojump/files/
  head/sysutils/autojump/pkg-deinstall
  head/sysutils/autojump/pkg-descr
  head/sysutils/autojump/pkg-message
  head/sysutils/autojump/pkg-plist
Comment 8 Li-Wen Hsu freebsd_committer 2020-08-11 07:55:10 UTC
Readded, with some minor fixes like plist to the port.

BTW, I somehow feel that this port is more like an utility and not a nor contains python module, the chance of needing concurrent installation is really low.  Focus on the system's default and keep the possibility to override the python version to use is enough.  I don't object having the ability, though.
Comment 9 Michel Boaventura 2020-08-11 14:47:25 UTC
Thank you @Li-Wen. I will take in account what you've changed on my next commits.